Ask Your Question
0

Report Builder error with LO 6.0 (or 5.4)

asked 2018-06-10 11:34:46 +0100

Denis_R gravatar image

Hello,

I use LO since a long time with Base Report Builder. Report Builder was an addon, then was embedded with LO. But since 5.4 and now 6.0 I get an error when running a report :

The document xxx could not be opened. The report xxx requires the Oracle Report Builder

With 5.4.1 I tried the Oracle Report Builder but that did not work, so I went back to 5.3 and had no more problem.

But now, I have problems with some libraries used by other applications that require new versions. So I tried again 5.4.7 then 6.0.4 : crash ...

How can I have LO 6.0 working with my reports ? Why is Report Builder no more embedded in LO ?

Denis

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
0

answered 2018-06-10 13:35:18 +0100

Denis_R gravatar image

After some search, it seems that Arch linux removed this feature from its standard LO (-still and -fresh), but it exists in AUR a package "libreoffice-dev-bin" that contains the Report Builder. My old reports are now running properly.

Just one point : when running a report I get a warning for HSQL being deprecated and proposing Firebird. But with Firebird I get an error, while with “old” HSQL, it works. So just one click more before having my results.

Note : I am on Manjaro linux, that uses Arch linux packages.

edit flag offensive delete link more

Comments

@Denis_R Please note that quite some time ago Report Builder (the add on) was replaced with Oracle Report Builder. This is in all installs I have encountered from TDF (The Document Foundation) and Ubuntu PPA's. The problem seems to be with your distro version. You should contact them about the problem.

Firebird has been proposed for quite some time also. It seems to be near since LO v6.1 includes a HSQL to Firebird conversion. If you have a problem there, file a bug report.

Ratslinger gravatar imageRatslinger ( 2018-06-10 15:51:20 +0100 )edit

ORB is from OpenOffice and has not been updated since some time (as seen on their site). LibreOffice 6.0 with ORB does not work ... missing libraries that I can not find. LibreOffice does not have a ReportBuilder extension so you need a full LO and I only found this "libreoffice-dev-bin", but it works.

Note : I started with OpenOffice and Sun Report Builder that became Oracle RB. Then LO appeared, and ORB could be added on LO, then LO was delivered with an integrated RB, and ORB no more worked.

Denis_R gravatar imageDenis_R ( 2018-06-10 18:36:55 +0100 )edit

ORB is from Oracle and was passed to OpenOffice & then to LibreOffice. LibreOffice has made changes to this via Bug reports over the past years.

Ratslinger gravatar imageRatslinger ( 2018-06-10 19:08:24 +0100 )edit
1

answered 2018-06-10 19:00:23 +0100

Ratslinger gravatar image

Hello,

As stated, my versions (TDF & PPA) have come with Oracle Report Builder for quite some time:

image description

Don't have any problems and have been posting samples using this for years now on various Linux (Ubuntu based) & Windows systems.

edit flag offensive delete link more

Comments

Also just ran a report in v6.0.4.2 using Firebird embedded & had no problems.

Ratslinger gravatar imageRatslinger ( 2018-06-10 20:18:46 +0100 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2018-06-10 11:34:46 +0100

Seen: 255 times

Last updated: Jun 10 '18